
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	int iSumm = 0;

	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Cieszę się, że cię widzę, kapitanie.";
			link.l1 = "Znowu potrzebuję twoich usług.";
			link.l1.go = "relation";
			link.l2 = "Żegnam.";
			link.l2.go = "exit";

			if (npchar.quest.meeting == "0")
			{
				dialog.text = "Pozwól, że się przedstawię. Jestem człowiekiem, który sprawi, że każdy gubernator na Karaibach uzna cię za istny dar niebios. Oczywiście nie za darmo. Ale uwierz mi, moje usługi są wyjątkowe, i pomogą ci wrócić do interesu ze Starym Światem niemal natychmiast..";
				link.l1 = "Okay, wchodzę w to.";
				link.l1.go = "relation";
				link.l2 = "Wspaniale. Ale może innym razem.";
				link.l2.go = "exit";
				npchar.quest.meeting = "1";
			}

			NextDiag.TempNode = "First time";
		break;

		case "relation":
			dialog.text = "Zobaczmy, w czym mogę ci pomóc.";
			if(GetNationRelation2MainCharacter(FRANCE) == RELATION_ENEMY)
			{
				link.l1 = "Chciałbym ułożyć się z Francją.";
				link.l1.go = "relation2_france";
			}
			if(GetNationRelation2MainCharacter(SPAIN) == RELATION_ENEMY)
			{
				link.l2 = "Chciałbym ułożyć się z Hiszpanią.";
				link.l2.go = "relation2_spain";
			}
			if(GetNationRelation2MainCharacter(ENGLAND) == RELATION_ENEMY)
			{
				link.l3 = "Chciałbym ułożyć się z Anglią.";
				link.l3.go = "relation2_england";
			}
			if(GetNationRelation2MainCharacter(HOLLAND) == RELATION_ENEMY)
			{
				link.l4 = "Chciałbym ułożyć się z Holandią.";
				link.l4.go = "relation2_holland";
			}
			link.l5 = "Zmieniłem zdanie.";
			link.l5.go = "exit";
		break;

		case "relation2_france":
			npchar.quest.relation = FRANCE;
			iSumm = CalculateRelationSum(sti(npchar.quest.relation));
			npchar.quest.relation.summ = iSumm;
			dialog.text = "Hmm... Okay. Ale to banda cwaniaków. To cię będzie kosztowało " + FindRussianMoneyString(iSumm) + ".";
			if(sti(pchar.money) >= iSumm)
			{
				link.l1 = "Ech! Cóż, skoro trzeba, to trzeba. Oto pieniądze.";
				link.l1.go = "relation3";
			}
			link.l2 = "Pfft! Nie bądź śmieszny. Żegnam.";
			link.l2.go = "exit";
		break;

		case "relation2_spain":
			npchar.quest.relation = SPAIN;
			iSumm = CalculateRelationSum(sti(npchar.quest.relation));
			npchar.quest.relation.summ = iSumm;
			dialog.text = "Hmm... zatem dobrze. Ale to będzie trudne, zapłacisz " + FindRussianMoneyString(iSumm) + ".";
			if(sti(pchar.money) >= iSumm)
			{
				link.l1 = "Ojej. Ale skoro trzeba, to trzeba. Weź te łupy.";
				link.l1.go = "relation3";
			}
			link.l2 = "Oszukuj kogoś innego, ja się stąd zabieram!";
			link.l2.go = "exit";
		break;

		case "relation2_england":
			npchar.quest.relation = ENGLAND;
			iSumm = CalculateRelationSum(sti(npchar.quest.relation));
			npchar.quest.relation.summ = iSumm;
			dialog.text = "Hmm... No dobrze, dobrze. Ale to są prawdziwe cwaniaki. To będzie kosztowało " + FindRussianMoneyString(iSumm) + ".";
			if(sti(pchar.money) >= iSumm)
			{
				link.l1 = "Oto ja - pirat pozbawiony wyboru. Oto ty - człowiek z moimi pieniędzmi.";
				link.l1.go = "relation3";
			}
			link.l2 = "Zapomnij, za taką sumę to mogę sobie kupić ten kraj. Żegnam.";
			link.l2.go = "exit";
		break;

		case "relation2_holland":
			npchar.quest.relation = HOLLAND;
			iSumm = CalculateRelationSum(sti(npchar.quest.relation));
			npchar.quest.relation.summ = iSumm;
			dialog.text = "Hmm... rozumiem... Okay, ale to twardy orzech do zgryzienia. To będzie kosztowało minimum " + FindRussianMoneyString(iSumm) + ".";
			if(sti(pchar.money) >= iSumm)
			{
				link.l1 = "A niech cię, ale mi zrobiłeś karuzelę w głowie! Bierz te cholerne pieniądze.";
				link.l1.go = "relation3";
			}
			link.l2 = "Zapomnij, potrzebuję pieniędzy na grog, dla siebie i dla załogi. Do zobaczenia.";
			link.l2.go = "exit";
		break;

		case "relation3":
			dialog.text = "Znakomicie! Interesy z tobą, to czysta przyjemność. Skoro mamy wszystko dogadane, najdalej za trzy dni wszystko zostanie załatwione.";
			link.l1 = "Miło mi to słyszeć.";
			link.l1.go = "exit";
			ChangeNationRelationFromRelationAgent(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}
